<%= f.fields_for :properties do |cta_form| %>
  <%= 
    cta_form.text_field :title, 
    label: "Título", 
    value: @home_element.properties['title'], 
    placeholder: "Preencha o título" 
  %>
  <%=
    cta_form.text_area :text,
    label: "Texto",
    value: @home_element.properties['text'],
    placeholder: "Preencha o texto"
  %>
  <%=
    cta_form.text_field :link,
    label: "Link da imagem ou vídeo (youtube)",
    value: @home_element.properties['link'],
    placeholder: "Adicionar link (imagem ou youtube)"
  %>
  <%=
    cta_form.text_field :button_link,
    label: "Link do botão primario",
    value: @home_element.properties['button_link'],
    placeholder: "Preencha o link que o botão ira levar o usuário"
  %>
  <%=
    cta_form.text_field :button_text,
    label: "Texto do botão primario",
    value: @home_element.properties['button_text'],
    placeholder: "Preencha o texto do botão"
  %>
  <%=
    cta_form.text_field :button_link_secundary,
    label: "Link do botão secundario",
    value: @home_element.properties['button_link_secundary'],
    placeholder: "Preencha o link que o botão secundario ira levar o usuário"
  %>
  <%=
    cta_form.text_field :button_text_secundary,
    label: "Texto do botão secundario",
    value: @home_element.properties['button_text_secundary'],
    placeholder: "Preencha o texto do botão secundario"
  %>
  <%=
    cta_form.check_box :reverse,
    label: "Mostrar imagem a direita do texto",
    checked: @home_element.properties['reverse'].to_i == 1
  %>
<% end %>
